from os import PathLike
from typing import Protocol


class Display(Protocol):

    def create_window(self, width: int, height: int, title: str) -> None: ...
    def window_should_close(self) -> bool: ...
    def destroy_window(self) -> None: ...
    def set_window_size(self, width: int, height: int) -> None: ...
    def get_window_size(self) -> tuple[int, int]: ...
    def get_window_position(self) -> tuple[int, int]: ...
    def toggle_fullscreen(self) -> None: ...
    def hide_cursor(self) -> None: ...
    def show_cursor(self) -> None: ...
    def is_cursor_hidden(self) -> bool: ...
    def is_fullscreen(self) -> bool: ...
    def set_window_title(self, title: str) -> None: ...
    def set_window_icon(self, path: PathLike[str]) -> None: ...
    def set_window_position(self, x: int, y: int) -> None: ...
    def set_vsync(self, enabled: bool) -> None: ...
